curl --request POST \
--url https://sandbox.cashfree.com/verification/udyam \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "tfqgzsXu3Z",
"udyam": "UDYAM-UP-43-1234567"
}
'import requests
url = "https://sandbox.cashfree.com/verification/udyam"
payload = {
"verification_id": "tfqgzsXu3Z",
"udyam": "UDYAM-UP-43-1234567"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({verification_id: 'tfqgzsXu3Z', udyam: 'UDYAM-UP-43-1234567'})
};
fetch('https://sandbox.cashfree.com/verification/udyam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification_id": "tfqgzsXu3Z",
"reference_id": 3478283,
"status": "SUCCESS",
"udyam_number": "UDYAM-UP-43-1234567",
"enterprise_name": "helloscholar",
"organization_type": "Proprietary",
"major_activity": "Services",
"social_category": "General",
"date_of_incorporation": "2020-05-29",
"date_of_commencement": "2020-05-29",
"date_of_udyam_registration": "2022-01-02",
"enterprise_type": "Micro",
"classification_year": "2024-25",
"classification_date": "2025-06-02",
"udyam_certificate_url": "UDYAM_CERTIFICATE_PDF_URL",
"classification_history": [
{
"serial_number": "1",
"classification_year": "2024-25",
"enterprise_type": "Micro",
"classification_date": "2025-06-02"
},
{
"serial_number": "2",
"classification_year": "2023-24",
"enterprise_type": "Micro",
"classification_date": "2023-05-09"
},
{
"serial_number": "3",
"classification_year": "2022-23",
"enterprise_type": "Micro",
"classification_date": "2022-06-26"
}
],
"split_address": {
"flat": "Ground Floor",
"building": "05 Raman Vihar",
"village": "Naubasta",
"block": "Naubasta",
"street": "Naubasta",
"city": "Kanpur",
"district": "KANPUR NAGAR",
"state": "UTTAR PRADESH",
"pincode": "208021",
"mobile": "70*****210",
"email": "helloscholar.edu@gmail.com"
},
"unit_locations": [
{
"serial_number": "1",
"unit_name": "hellobanker",
"flat": "Ground Floor",
"building": "05 Raman Vihar Naubasta",
"village": "KANPUR NAGAR",
"block": "KANPUR NAGAR",
"street": "05 Raman Vihar Naubasta Bamba",
"city": "Kanpur",
"district": "KANPUR NAGAR",
"state": "UTTAR PRADESH",
"pincode": "208021"
},
{
"serial_number": "2",
"unit_name": "helloscholar",
"flat": "Ground Floor",
"building": "05 Raman Vihar Naubasta",
"village": "Kanpur",
"block": "Kanpur",
"street": "Kanpur",
"city": "Kanpur",
"district": "KANPUR NAGAR",
"state": "UTTAR PRADESH",
"pincode": "208021"
}
],
"nic_codes": [
{
"serial_number": "1",
"nic_2_digit": "85",
"nic_2_description": "Education",
"nic_4_digit": "8550",
"nic_4_description": "Educational support services",
"nic_5_digit": "85500",
"nic_5_description": "Educational support services",
"activity": "Services",
"date": "2022-01-02"
}
],
"dic": "KANPUR NAGAR",
"msme_di": "KANPUR"
}Verify Udyam
Use this API to verify an Udyam registration using the Udyam reference number. For a valid registration, the response returns enterprise details such as NIC classification and enterprise unit information.
View the test data and use the information to trigger the validations. The test data can be used only in the sandbox environment.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
Send the signature if two-factor authentication is selected as Public Key. More details.
Body
Find the request parameters to retrieve the information of a Udyam number.
It is the unique ID you create to identify the verification request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.
"tfqgzsXu3Z"
It is the Udyam registration number to be verified.
"UDYAM-UP-43-1234567"
Response
Success response for Udyam verification.
It displays the unique ID you created to identify the verification request.
"tfqgzsXu3Z"
It displays the unique ID created by Cashfree Payments for reference purposes.
3478283
It displays the status of the verification request.
SUCCESS, UDYAM_NOT_FOUND, UDYAM_IS_CANCELLED "SUCCESS"
It displays the Udyam registration number.
"UDYAM-UP-43-1234567"
It displays the enterprise name.
"helloscholar"
It displays the organization type.
"Proprietary"
It displays the major activity of the enterprise.
"Services"
It displays the social category.
"General"
It displays the date of incorporation.
"2020-05-29"
It displays the date of commencement.
"2020-05-29"
It displays the date of Udyam registration.
"2022-01-02"
It displays the type of enterprise.
"Micro"
It displays the classification year.
"2024-25"
It displays the classification date.
"2025-06-02"
It displays the URL to download the Udyam certificate.
"UDYAM_CERTIFICATE_PDF_URL"
It contains the classification history for different years.
Show child attributes
Show child attributes
It contains the enterprise address information.
Show child attributes
Show child attributes
It contains the list of enterprise unit locations.
Show child attributes
Show child attributes
It contains the NIC codes information.
Show child attributes
Show child attributes
It displays the DIC (District Industries Centre).
"KANPUR NAGAR"
It displays the MSME DI (Development Institute).
"KANPUR"
Was this page helpful?